#include <stdio.h>
#include <math.h>  

int countrows(FILE *f){
	float dummy1, dummy2;
	int n = 0;
	rewind(f);  
	while(!feof(f)){
		if(fscanf(f, "%g %g", &dummy1, &dummy2) < 2)
			break;  
		else
			n++;
	}
	return n;
}

void load(FILE *f, int n, float m[n]){
	int i;
	float dummy;
	rewind(f);  
	for(i = 0; i < n; i++)
		fscanf(f, "%g %g", &dummy, &m[i]);  
}

float cosdeg(int deg, int n, float m[n]){
	deg = deg % 360;
	int sign = 1;
	if(deg < 0)
		deg = -deg;
	if(deg > 90 && deg <= 180){
		sign = -1;
		deg = 180 - deg;
	}
	if(deg > 180 && deg <= 270){
		sign = -1;
		deg = deg - 180;
	}
	if(deg > 270)
		deg = 360 - deg;
	int pos = deg;
	return sign * m[pos];
}


float sindeg(int deg, int n, float m[n]){
	return cosdeg(deg - 90, n, m);
}

int main(void){
	FILE *f = fopen("cos.txt", "r");
	if(f == NULL){
		printf(" Fail not open.\n");
		return 0;
	}
	int n = countrows(f);
	float m[n];
	load(f, n, m);
	int deg;
	while(1){
		printf("Insert an angle in degrees or a sign to complete: ");
		if(scanf("%d", &deg) < 1) 
			break;
		printf("sin: %f\n", sindeg(deg, n, m));		
		printf("cos: %f\n", cosdeg(deg, n, m));
		//control
		/*float x = M_PI * deg / 180;
		printf("kontroll:\nsin: %f\ncos: %f\n", sin(x), cos(x));*/
	}
	return 0;
}
